Jump to content


Photo

Newbie Has Questions, Please Be Patient


  • Please log in to reply
4 replies to this topic

#1 Verranicus

Verranicus

    X-S Enthusiast

  • Members
  • 4 posts

Posted 06 June 2011 - 07:03 PM

First off, please be patient. So many forums fly off the handle and tell me not to ask newbie questions and just close my topics before I get any answers. Thanks. =)

Anyway.. The last time I played my 360 was back when Assassins Creed: Brotherhood came out and Microsoft started using that AP2.5 thing on all their new games. I needed to get my console reflashed but didn't have the time or money back then. Now I'm having it reflashed with what (what I hope) is the newest firmware and was curious:

Is there anything I need to do in order to make everything playable? I haven't updated my dashboard since AC:B came out. Will I need to update it it now, and if so, to which version? Will I still need to use the 360 Wave converter to change the games to wave 2?

Also, I have zero interest in online play, if that makes a difference.

And yes, I realize there are major changes on the horizon and I'll need to get it flashed again when that happens, but at this point in time I only have a few DL DVDs left and I'm really only interested in grabbing a few newer current titles anyway. I can always deal with the stuff after the big changes later, yeah?

Anyway, thanks in advance. =)

#2 Ranger72

Ranger72

    MOD GOD

  • Head Moderator
  • PipPipPipPipPipPipPipPipPipPipPip
  • 7,805 posts
  • Location:Cumberland MD.
  • Xbox Version:v1.6
  • 360 version:v4.0 (jasper)

Posted 06 June 2011 - 07:07 PM

Big changes are already here. Came a couple weeks ago with the new dashboard that flashes all drives to a new stock firmware in prep for a new disc format that newer games will be shipping on later this summer.

All current custom firmware is outdated now. You will have to wait for LT+ 1.9 to come out sometime later this summer.

#3 Verranicus

Verranicus

    X-S Enthusiast

  • Members
  • 4 posts

Posted 06 June 2011 - 07:10 PM

That's all well and good, but it doesn't really answer my questions. Assume I only care about playing the games that are currently out now, or that will be released without this new dashboard update on them.

Which is the latest safest dashboard version I can be using?

#4 Ranger72

Ranger72

    MOD GOD

  • Head Moderator
  • PipPipPipPipPipPipPipPipPipPipPip
  • 7,805 posts
  • Location:Cumberland MD.
  • Xbox Version:v1.6
  • 360 version:v4.0 (jasper)

Posted 06 June 2011 - 08:22 PM

Any version that comes on new game discs will be fine.

#5 oleq83

oleq83

    X-S Member

  • Members
  • Pip
  • 114 posts

Posted 07 June 2011 - 12:05 AM

You need to update the dvd firmware to ixtreme LT+ in order to play the ap2.5 games. At curent date, none of the newer games contains the new dashboard update, so you are safe to play any of the games on the market to this date. Just don't connect to xbox live, or your dvd drive will be flashed back to stock firmware.

As for patching games. Just run your iso's through abgx and it will patch the games, including ap2.5 games for you.

QUOTE(Verranicus @ Jun 6 2011, 08:10 PM) View Post

Which is the latest safest dashboard version I can be using?



The latest version dashboard that you can use, is the 2.0.12625.0. After this, your dvd drive will be flashed back to stock and you will have to flash cfw back to your drive.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users